{
  "name": "stmms-web",
  "version": "1.10.0",
  "private": "true",
  "scripts": {
    "start": "vite --host 0.0.0.0",
    "dev": "vite --force",
    "prebuild": "node --experimental-json-modules prebuild.mjs",
    "build": "vue-tsc --noEmit --skipLibCheck && vite build",
    "build-without-type-check": "vite build",
    "typecheck": "vue-tsc --noEmit --skipLibCheck",
    "serve": "vite preview",
    "lint": "eslint --ext .js,.ts,.vue --ignore-path .gitignore --fix src",
    "format": "prettier .  --write",
    "test": "cypress open"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^6.1.0",
    "animate.css": "^4.1.1",
    "ant-design-vue": "^3.2.10",
    "axios": "^0.26.1",
    "axios-progress-bar": "^1.2.0",
    "axios-retry": "^3.3.1",
    "custom-cursor.js": "1.3.6",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.0",
    "moment": "^2.29.4",
    "pinia": "^2.0.16",
    "tailwindcss": "^3.1.6",
    "ua-parser-js": "^1.0.2",
    "viewerjs": "^1.10.5",
    "vue": "^3.2.37",
    "vue-router": "^4.1.2"
  },
  "devDependencies": {
    "@types/lodash-es": "^4.17.6",
    "@types/node": "^18.0.6",
    "@types/ua-parser-js": "^0.7.36",
    "@typescript-eslint/eslint-plugin": "^5.30.7",
    "@typescript-eslint/parser": "^5.30.7",
    "@vitejs/plugin-vue": "^3.0.1",
    "@vue/runtime-core": "^3.2.37",
    "autoprefixer": "^10.4.7",
    "eslint": "^8.20.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-vue": "^9.2.0",
    "less": "^4.1.3",
    "postcss": "^8.4.14",
    "prettier": "^2.7.1",
    "typescript": "^4.7.4",
    "unplugin-vue-components": "^0.21.1",
    "vite": "^3.0.2",
    "vue-eslint-parser": "^9.0.3",
    "vue-tsc": "^0.38.8"
  },
  "vetur": {
    "tags": "vetur/tags.json",
    "attributes": "vetur/attributes.json"
  },
  "optionalDependencies": {
    "cypress": "^10.3.1"
  }
}
